petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNCGSetType

Sets the conjugate update type for SNESNCG.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNCGSetType(SNES snes, SNESNCGType btype)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the iterative context Many br
| btype | - update type Many br

### Options Database

-snes_ncg_type<prp,fr,hs,dy,cd> - Many br Many br

### SNESNCGSelectTypes

| SNES_NCG_FR | - Fletcher-Reeves update Many br
| SNES_NCG_PRP | - Polak-Ribiere-Polyak update Many br
| SNES_NCG_HS | - Hestenes-Steifel update Many br
| SNES_NCG_DY | - Dai-Yuan update Many br
| SNES_NCG_CD | - Conjugate Descent update Many br

### Notes

PRP is the default, and the only one that tolerates generalized search directions. Many br

### Keywords

SNES, SNESNCG, selection, type, set

Level:intermediate
Location:src/snes/impls/ncg/snesncg.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages